package com.ekingwin.bas.cloud.document.dao.entity;

import java.sql.Date;
import java.sql.Timestamp;

import javax.persistence.Id;
import javax.persistence.Table;

import org.apache.commons.lang3.StringUtils;

import com.ekingwin.bas.cloud.infra.dao.entity.BaseEntity;

@Table(name = "EMPLOYEE")
public class UploadUser extends BaseEntity{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1022474506309251763L;
	@Id
	private String 			empuid;						//员工登陆名/uid		
	private String 			empid;						//工号
	private String 			cnname;						//中文名
	private String 			enname;						//英文名
	private String 			email;						//邮件
	private String 			phone;						//个人电话
	private String 			division_code;				//所在组
	private String 			syn_index;					//
	private String 			is_deleted;					//Y/N 逻辑删除标识
	private String 			displayname;				//全名	
	private String 			password;					//密码

	private String 			officephone;				//办公电话
	private String 			mobilephone;				//手机号码
	private String 			emailpassword;				//邮箱密码
	private String 			status;						//是否在职
	private String 			personaldesc;				//个人说明
	private String 			faxnumber;					//传真号码
	private String 			extension;					//分机号码
	private String 			homeaddress;				//家庭住址
	private String          hukoaddress;                //户口地址
	private String          oth2address;                //其他地址
	private String          permaddress;                //永久地址
	private String 			homefax;					//家庭传真
	private String 			homeemail;					//个人邮箱
	private String 			headportrait;				//头像
	private String 			homemobile;					//家庭手机号码
	private String 			remark;						//备注
	
	private String 			superior;					//上级		
	private String 			outauthority;				//外网权限
	private Date 			passloseefficacy;			//密码失效时间
	private String 			lv;							//级别
	private String 			area;						//地区
	private String 			sex;                     	//性别
	private String 			gender;                     //性别
	private String 			elecsignature;				//电子签名
	private Timestamp       updatetime;                 //更新时间
	private String          phone1_s;                   //手机短号1
	private String          phone2;                     //手机2
	private String          phone2_s;                   //手机短号2
	private String          zzip2;                      //居住地邮编
	private String          tel2;                       //固定电话2
	private String          payrollcardnumber;          //工资卡卡号
	private String          bank;                       //开户行
	private String			icnum;						//用户身份证号
	private String			province_birth;				//出生省份
	private String			origin;						//籍贯
	private String			zzip;						//家庭地址邮编
	private String 			deptid; 					// 默认部门ID
	private String 			defaultpos; 				// 默认岗位ID

	public UploadUser() {

	}

	@Id
	public String getEmpuid() {
		return empuid;
	}

	public void setEmpuid(String empuid) {
		this.empuid = empuid;
	}

	public String getEmpid() {
		return empid;
	}

	public void setEmpid(String empid) {
		this.empid = empid;
	}

	public String getCnname() {
		return cnname;
	}

	public void setCnname(String cnname) {
		this.cnname = cnname;
	}

	public String getEnname() {
		return enname;
	}

	public void setEnname(String enname) {
		this.enname = enname;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getDisplayname() {
		return displayname;
	}

	public String getFullname() {
		 if(StringUtils.isNotBlank(displayname) && displayname.indexOf("(") == -1){//不存在工号时进行拼接
			 return new StringBuffer(displayname).append("(").append(empuid).append(")").toString();
		 }
		 return displayname;
	}

	public void setDisplayname(String displayname) {
		this.displayname = displayname;
	}

	public String getDivision_code() {
		return division_code;
	}

	public void setDivision_code(String division_code) {
		this.division_code = division_code;
	}

	public String getSyn_index() {
		return syn_index;
	}

	public void setSyn_index(String syn_index) {
		this.syn_index = syn_index;
	}

	public String getIs_deleted() {
		return is_deleted;
	}

	public void setIs_deleted(String is_deleted) {
		this.is_deleted = is_deleted;
	}

	
	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}




	public String getOfficephone() {
		return officephone;
	}

	public void setOfficephone(String officephone) {
		this.officephone = officephone;
	}

	public String getMobilephone() {
		return mobilephone;
	}

	public void setMobilephone(String mobilephone) {
		this.mobilephone = mobilephone;
	}

	public String getHomemobile() {
		return homemobile;
	}

	public void setHomemobile(String homemobile) {
		this.homemobile = homemobile;
	}

	public String getEmailpassword() {
		return emailpassword;
	}

	public void setEmailpassword(String emailpassword) {
		this.emailpassword = emailpassword;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getPersonaldesc() {
		return personaldesc;
	}

	public void setPersonaldesc(String personaldesc) {
		this.personaldesc = personaldesc;
	}

	public String getFaxnumber() {
		return faxnumber;
	}

	public void setFaxnumber(String faxnumber) {
		this.faxnumber = faxnumber;
	}

	public String getExtension() {
		return extension;
	}

	public void setExtension(String extension) {
		this.extension = extension;
	}

	public String getHomeaddress() {
		return homeaddress;
	}

	public void setHomeaddress(String homeaddress) {
		this.homeaddress = homeaddress;
	}

	public String getHomefax() {
		return homefax;
	}

	public void setHomefax(String homefax) {
		this.homefax = homefax;
	}

	public String getHomeemail() {
		return homeemail;
	}

	public void setHomeemail(String homemail) {
		this.homeemail = homemail;
	}

	public String getHeadportrait() {
		return headportrait;
	}

	public void setHeadportrait(String headportrait) {
		this.headportrait = headportrait;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}


	public String getSuperior() {
		return superior;
	}

	public void setSuperior(String superior) {
		this.superior = superior;
	}

	public String getOutauthority() {
		return outauthority;
	}

	public void setOutauthority(String outauthority) {
		this.outauthority = outauthority;
	}

	public Date getPassloseefficacy() {
		return passloseefficacy;
	}

	public void setPassloseefficacy(Date passloseefficacy) {
		this.passloseefficacy = passloseefficacy;
	}

	public String getLv() {
		return lv;
	}

	public void setLv(String lv) {
		this.lv = lv;
	}

	
	public String getArea() {
		return area;
	}

	public void setArea(String area) {
		this.area = area;
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getElecsignature() {
		return elecsignature;
	}

	public void setElecsignature(String elecsignature) {
		this.elecsignature = elecsignature;
	}

	public String getPhone1_s() {
		return phone1_s;
	}

	public void setPhone1_s(String phone1_s) {
		this.phone1_s = phone1_s;
	}

	public String getPhone2() {
		return phone2;
	}

	public void setPhone2(String phone2) {
		this.phone2 = phone2;
	}

	public String getPhone2_s() {
		return phone2_s;
	}

	public void setPhone2_s(String phone2_s) {
		this.phone2_s = phone2_s;
	}

	public String getZzip2() {
		return zzip2;
	}

	public void setZzip2(String zzip2) {
		this.zzip2 = zzip2;
	}

	public String getTel2() {
		return tel2;
	}

	public void setTel2(String tel2) {
		this.tel2 = tel2;
	}

	public String getHukoaddress() {
		return hukoaddress;
	}

	public void setHukoaddress(String hukoaddress) {
		this.hukoaddress = hukoaddress;
	}

	public String getOth2address() {
		return oth2address;
	}

	public void setOth2address(String oth2address) {
		this.oth2address = oth2address;
	}

	public String getPermaddress() {
		return permaddress;
	}

	public void setPermaddress(String permaddress) {
		this.permaddress = permaddress;
	}

	public Timestamp getUpdatetime() {
		return updatetime;
	}

	public void setUpdatetime(Timestamp updatetime) {
		this.updatetime = updatetime;
	}

	public String getPayrollcardnumber() {
		return payrollcardnumber;
	}

	public void setPayrollcardnumber(String payrollcardnumber) {
		this.payrollcardnumber = payrollcardnumber;
	}

	public String getBank() {
		return bank;
	}

	public void setBank(String bank) {
		this.bank = bank;
	}

	public String getIcnum() {
		return icnum;
	}

	public void setIcnum(String icnum) {
		this.icnum = icnum;
	}

	public String getProvince_birth() {
		return province_birth;
	}

	public void setProvince_birth(String province_birth) {
		this.province_birth = province_birth;
	}

	public String getOrigin() {
		return origin;
	}

	public void setOrigin(String origin) {
		this.origin = origin;
	}

	public String getZzip() {
		return zzip;
	}

	public void setZzip(String zzip) {
		this.zzip = zzip;
	}
	
	public String getSex() {
		return sex;
	}

	public void setSex(String sex) {
		this.sex = sex;
	}

	public String getDeptid() {
		return deptid;
	}

	public void setDeptid(String deptid) {
		this.deptid = deptid;
	}

	public String getDefaultpos() {
		return defaultpos;
	}

	public void setDefaultpos(String defaultpos) {
		this.defaultpos = defaultpos;
	}
	
	@Override
	public void setId(String id) {
		this.empuid = id;
	}

	@Override
	public String getId() {
		return this.empuid;
	}
	
}
