package com.ekingwin.bas.cloud.document.model;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;


public class FolderModel {
	public static Map<String, String> folderMap = null;
	private String id;
	private String name;
	private String pid;
	private String securityGroup = "BusinessACLGroups";
	private String createdBy;
	private String folderOwner;
	private String folderOwnerDisName;
	private String createdDate;
	private String modifierBy;
	private String modifierDate;
	private String path;
	private String folderManager;
	private String permissionManager;
	private String disablePermission;
	private List<PermissionModel> permissionRoles = new ArrayList<PermissionModel>();

	private List<PermissionModel> permissionUsers = new ArrayList<PermissionModel>();
	private List<FolderPermissionDto> permissionList;
	private PermissionModel permissionModel;
	private String isParent = "true";

	private boolean open = false;

	private List<FolderModel> children = new ArrayList<FolderModel>();

	private Map<String, String> attrs = new HashMap<String, String>();
	private String clbraUserList;
	private String clbraRoleList;
	private String extendUserList;
	private String extendRoleList;
	private String taglibs = "";

	private String downloadWatermark = "false";

	private String checkInWorkflow = "false";
	private String downloadWorkflow = "false";
	private String printWorkflow = "false";
	private String sendlinkWorkflow = "false";

	private String templateType;

	static {
		folderMap = new HashMap<String, String>();
		folderMap.put("id", "dCollectionID");
		folderMap.put("name", "dCollectionName");
		folderMap.put("pid", "dParentCollectionID");
		folderMap.put("createdBy", "dCollectionCreator");
		folderMap.put("permissionManager", "xPermissionManager");
		folderMap.put("folderOwner", "dCollectionOwner");
		folderMap.put("securityGroup", "dSecurityGroup");
		folderMap.put("createdDate", "dCreateDate");
		folderMap.put("modifierBy", "dCollectionModifier");
		folderMap.put("modifierDate", "dLastModifiedDate");
		folderMap.put("path", "xCollectionPath");
		folderMap.put("folderManager", "xFolderManager");
		folderMap.put("clbraUserList", "xClbraUserList");
		folderMap.put("clbraRoleList", "xClbraRoleList");
		folderMap.put("extendUserList", "xExtendUserList");
		folderMap.put("extendRoleList", "xExtendRoleList");
		folderMap.put("checkInWorkflow", "xCheckIn_Workflow");
		folderMap.put("taglibs", "xTaglibs");
		folderMap.put("downloadWatermark", "xDownload_Watermark");
		folderMap.put("downloadWorkflow", "xDownload_Workflow");
		folderMap.put("printWorkflow", "xPrint_Workflow");
		folderMap.put("sendlinkWorkflow", "xSendlink_Workflow");
		folderMap.put("templateType", "xTemplateType");
	}

	public List<FolderPermissionDto> getPermissionList() {
		return permissionList;
	}

	public void setPermissionList(List<FolderPermissionDto> permissionList) {
		this.permissionList = permissionList;
	}

	public static Map<String, String> getFolderMap() {
		return folderMap;
	}

	public static void setFolderMap(Map<String, String> folderMap) {
		FolderModel.folderMap = folderMap;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPid() {
		return pid;
	}

	public void setPid(String pid) {
		this.pid = pid;
	}

	public String getSecurityGroup() {
		return securityGroup;
	}

	public void setSecurityGroup(String securityGroup) {
		this.securityGroup = securityGroup;
	}

	public String getCreatedBy() {
		return createdBy;
	}

	public void setCreatedBy(String createdBy) {
		this.createdBy = createdBy;
	}

	public String getFolderOwner() {
		return folderOwner;
	}

	public void setFolderOwner(String folderOwner) {
		this.folderOwner = folderOwner;
	}

	public String getFolderOwnerDisName() {
		return folderOwnerDisName;
	}

	public void setFolderOwnerDisName(String folderOwnerDisName) {
		this.folderOwnerDisName = folderOwnerDisName;
	}

	public String getCreatedDate() {
		return createdDate;
	}

	public void setCreatedDate(String createdDate) {
		this.createdDate = createdDate;
	}

	public String getModifierBy() {
		return modifierBy;
	}

	public void setModifierBy(String modifierBy) {
		this.modifierBy = modifierBy;
	}

	public String getModifierDate() {
		return modifierDate;
	}

	public void setModifierDate(String modifierDate) {
		this.modifierDate = modifierDate;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getFolderManager() {
		return folderManager;
	}

	public void setFolderManager(String folderManager) {
		this.folderManager = folderManager;
	}

	public String getPermissionManager() {
		return permissionManager;
	}

	public void setPermissionManager(String permissionManager) {
		this.permissionManager = permissionManager;
	}

	public String getDisablePermission() {
		return disablePermission;
	}

	public void setDisablePermission(String disablePermission) {
		this.disablePermission = disablePermission;
	}

	public List<PermissionModel> getPermissionRoles() {
		return permissionRoles;
	}

	public void setPermissionRoles(List<PermissionModel> permissionRoles) {
		this.permissionRoles = permissionRoles;
	}

	public List<PermissionModel> getPermissionUsers() {
		return permissionUsers;
	}

	public void setPermissionUsers(List<PermissionModel> permissionUsers) {
		this.permissionUsers = permissionUsers;
	}

	public PermissionModel getPermissionModel() {
		return permissionModel;
	}

	public void setPermissionModel(PermissionModel permissionModel) {
		this.permissionModel = permissionModel;
	}

	public String getIsParent() {
		return isParent;
	}

	public void setIsParent(String isParent) {
		this.isParent = isParent;
	}

	public boolean isOpen() {
		return open;
	}

	public void setOpen(boolean open) {
		this.open = open;
	}

	public List<FolderModel> getChildren() {
		return children;
	}

	public void setChildren(List<FolderModel> children) {
		this.children = children;
	}

	public Map<String, String> getAttrs() {
		return attrs;
	}

	public void setAttrs(Map<String, String> attrs) {
		this.attrs = attrs;
	}

	public String getClbraUserList() {
		return clbraUserList;
	}

	public void setClbraUserList(String clbraUserList) {
		this.clbraUserList = clbraUserList;
	}

	public String getClbraRoleList() {
		return clbraRoleList;
	}

	public void setClbraRoleList(String clbraRoleList) {
		this.clbraRoleList = clbraRoleList;
	}

	public String getExtendUserList() {
		return extendUserList;
	}

	public void setExtendUserList(String extendUserList) {
		this.extendUserList = extendUserList;
	}

	public String getExtendRoleList() {
		return extendRoleList;
	}

	public void setExtendRoleList(String extendRoleList) {
		this.extendRoleList = extendRoleList;
	}

	public String getTaglibs() {
		return taglibs;
	}

	public void setTaglibs(String taglibs) {
		this.taglibs = taglibs;
	}

	public String getDownloadWatermark() {
		return downloadWatermark;
	}

	public void setDownloadWatermark(String downloadWatermark) {
		this.downloadWatermark = downloadWatermark;
	}

	public String getCheckInWorkflow() {
		return checkInWorkflow;
	}

	public void setCheckInWorkflow(String checkInWorkflow) {
		this.checkInWorkflow = checkInWorkflow;
	}

	public String getDownloadWorkflow() {
		return downloadWorkflow;
	}

	public void setDownloadWorkflow(String downloadWorkflow) {
		this.downloadWorkflow = downloadWorkflow;
	}

	public String getPrintWorkflow() {
		return printWorkflow;
	}

	public void setPrintWorkflow(String printWorkflow) {
		this.printWorkflow = printWorkflow;
	}

	public String getSendlinkWorkflow() {
		return sendlinkWorkflow;
	}

	public void setSendlinkWorkflow(String sendlinkWorkflow) {
		this.sendlinkWorkflow = sendlinkWorkflow;
	}

	public String getTemplateType() {
		return templateType;
	}

	public void setTemplateType(String templateType) {
		this.templateType = templateType;
	}

}
