package com.ekingwin.bas.cloud.document.service;

import java.io.File;
import java.io.InputStream;
import java.util.Map;

import com.ekingwin.bas.cloud.document.UAttachementException;
import com.ekingwin.bas.cloud.document.dto.UploadFileDto;

/**
 * 文件上传接口，该接口定义了文件上传到服务器的功能；该接口为附件管理组件内部使用，不应该暴露给其他使用者
 * @author chenjb
 *
 */
public interface IIUploaderService {
	/**
	 * 文件上传
	 * @param file 上传的文件对象
	 * @param fileName 上传的文件名
	 * @param fileMeta 上传文件时，文件的额外元数据
	 * @return UploadFile 上传后的文件对象
	 * @throws UAttachementException
	 */
	public UploadFileDto upload(File file, String fileName, Map<String, String[]> fileMeta) throws UAttachementException;

	public UploadFileDto upload(InputStream inputStream, String name, Map<String, String[]> fileMeta) throws UAttachementException;
	
//	public UploadFile upload(File file, Map<String, String[]> fileMeta,String isCompression,String width) throws AttachementException;
//	
//	public UploadFile upload(String fileData, String fileName) throws AttachementException;
}
