package com.ekingwin.bas.cloud.document.service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ekingwin.bas.cloud.document.DocManagerException;
import com.ekingwin.bas.cloud.document.dto.DocumentImageDto;
import com.ekingwin.bas.cloud.document.dto.ManagementCenterDto;
import com.ekingwin.bas.cloud.document.model.DocModel;
import com.ekingwin.bas.cloud.infra.dto.QueryDTO;
import com.ekingwin.bas.cloud.infra.exception.BasException;
import com.ekingwin.bas.cloud.infra.service.IBaseEntityService;
import com.ekingwin.bas.cloud.infra.utils.db.PageCriteria;

public interface IManagementCenterService extends IBaseEntityService<ManagementCenterDto>{
	public PageCriteria<ManagementCenterDto> query(QueryDTO query,String folderid) throws BasException;
	public PageCriteria<ManagementCenterDto> queryMyNotice(QueryDTO query) throws BasException;
	public DocModel contentsToHtml(String content, String fileName,  HashMap<String, String> attrs) throws DocManagerException;
	public String getContentsByDocid(String docid) throws DocManagerException;
	public DocumentImageDto saveDocumentImage(String docid) throws DocManagerException;
	public void release(String docid,String type) throws BasException;
	public DocModel Updatecontents(String content, String docid) throws DocManagerException;
	public void updateStatus(ManagementCenterDto managementCenterDto) throws DocManagerException;
	public void updateStatusNew(ManagementCenterDto managementCenterDto) throws DocManagerException;
	public List<ManagementCenterDto> homeshowquery() throws DocManagerException;
	public PageCriteria<ManagementCenterDto> publicationQuery(QueryDTO query) throws BasException;
	public PageCriteria<ManagementCenterDto> queryReleased(QueryDTO query) throws BasException;
	public PageCriteria<ManagementCenterDto> queryReleasedByType(QueryDTO query,String type) throws BasException;
	public PageCriteria<ManagementCenterDto> enterpriseActivityQuery(QueryDTO query) throws BasException;
	public boolean judgmentDelete(String folderid) throws Exception;
	public List<Map<String, String>> getDeleteDocFolderid(String docids,String folderid,String type) throws BasException;
	public void updateCreateBy(String docid);
	/**
	 * 向金蝶移动端下发新闻或者通知公告
	 * @param docid 新闻ID 或者 通知公告 ID
	 * @param type 类型(5新闻、6通知公告)
	 */
	public void pushNewsOrNoticeToJd(String docid,String type) throws Exception;
}
