package com.ekingwin.bas.cloud.document.utils;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;

import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;

import com.ekingwin.bas.cloud.document.dto.UploadFileObject;
import com.ekingwin.bas.cloud.infra.utils.web.WebUtils;

public class DownloadUtils {

	public static ResponseEntity<byte[]> download(UploadFileObject fo) throws UnsupportedEncodingException, IOException {
        return download(fo.getName(), fo.getStream());
	}
	

	public static ResponseEntity<byte[]> download(String name, InputStream fis) throws UnsupportedEncodingException, IOException {
        HttpHeaders headers = new HttpHeaders();  
        String Agent = WebUtils.getRequest().getHeader("User-Agent");
        if (null != Agent) {  
            Agent = Agent.toLowerCase();  
            if (Agent.indexOf("Mozilla") != -1) {  
            	name = new String(name.getBytes(),"iso8859-1"); 
            } else {  
            	name = java.net.URLEncoder.encode(name,"UTF-8");  
            }  
        }
        headers.setContentDispositionFormData("attachment", name);   
        headers.setContentType(MediaType.APPLICATION_OCTET_STREAM);   
        headers.set("X-fileName", name);
        byte[] bytes = input2byte(fis);
        return new ResponseEntity<byte[]>(bytes, headers, HttpStatus.OK);    
	}
	
	public static final InputStream byte2Input(byte[] buf) {  
        return new ByteArrayInputStream(buf);  
    }  
  
    public static final byte[] input2byte(InputStream inStream)  
            throws IOException {  
        ByteArrayOutputStream swapStream = new ByteArrayOutputStream();  
        byte[] buff = new byte[100];  
        int rc = 0;  
        while ((rc = inStream.read(buff, 0, 100)) > 0) {  
            swapStream.write(buff, 0, rc);  
        }  
        inStream.close();
        byte[] in2b = swapStream.toByteArray();  
        return in2b;  
    }  
}
